textures/elusive2/elusive2_icy
{
    qer_editorimage textures/elusive2/elusive_tile.tga
    q3map_lightmapsamplesize .125
    q3map_surfacelight 500
    surfaceparm nodamage
         surfaceparm slick
    {
    map textures/elusive2/elusive_tile.tga
    rgbGen identity
    } 
    {
    map textures/elusive2/elusive_tint.tga
      blendFunc GL_ONE GL_ONE
      rgbgen wave sin .5 .1 2 .13
      tcGen environment
    }
    {
    map $lightmap
    blendFunc filter
    rgbGen identity
    }
}

textures/elusive2/mat5c
{
	qer_editorimage "textures/elusive2/mat5c.tga"
	surfaceparm nodamage
	{
		map "textures/elusive2/mat5c.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	
}

textures/elusive2/water_still1
{
	qer_trans .5
	q3map_globaltexture
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	q3map_surfacelight 800
	q3map_backSplash 30 50
	q3map_lightSubdivide 256
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	

	{
		map textures/elusive2/water_still1.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod turb 0 0.045 0.04 0.03
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity	
	}
}

textures/elusive2/blue_matte_light
{
	polygonOffset
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 3000
	q3map_lightSubdivide 1024

	{
		map textures/elusive2/blue_matte_light
	}
	{
		map textures/elusive2/tint_1.tga
///		tcmod scale .5 .5
		alphaGen const 0.05
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/elusive2/pink_matte_light
{
	polygonOffset
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 3000
	q3map_lightSubdivide 1024

	{
		map textures/elusive2/pink_matte_light
	}
	{
		map textures/elusive2/tint_1.tga
///		tcmod scale .5 .5
		alphaGen const 0.05
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/elusive2/lightsource_corr_blue
{
    surfaceParm nonSolid
    surfaceParm noMarks
    surfaceParm noLightmap
    surfaceParm alphaShadow
    qer_trans 0.3
    surfaceParm trans
    q3map_surfaceLight 1000
    q3map_lightSubdivide 1000
    {
        map "textures/elusive2/lightsource_corr_blue.jpg"
        blendFunc add
        RGBGen const ( 0 0 0 )
    }
}

textures/elusive2/lightsource_corr_pink
{
    surfaceParm nonSolid
    surfaceParm noMarks
    surfaceParm noLightmap
    surfaceParm alphaShadow
    qer_trans 0.3
    surfaceParm trans
    q3map_surfaceLight 1000
    q3map_lightSubdivide 1000
    {
        map "textures/elusive2/lightsource_corr_pink.jpg"
        blendFunc add
        RGBGen const ( 0 0 0 )
    }
}

textures/elusive2/orange_matte_light
{
	polygonOffset
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 3000
	q3map_lightSubdivide 1024

	{
		map textures/elusive2/orange_matte_light
	}
	{
		map textures/elusive2/tint_1.tga
///		tcmod scale .5 .5
		alphaGen const 0.05
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/elusive2/lightsource_corr_orange
{
    surfaceParm nonSolid
    surfaceParm noMarks
    surfaceParm noLightmap
    surfaceParm alphaShadow
    qer_trans 0.3
    surfaceParm trans
    q3map_surfaceLight 1000
    q3map_lightSubdivide 1000
    {
        map "textures/elusive2/lightsource_corr_orange.jpg"
        blendFunc add
        RGBGen const ( 0 0 0 )
    }
}

textures/elusive2/purple_matte_light
{
	polygonOffset
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 3000
	q3map_lightSubdivide 1024

	{
		map textures/elusive2/purple_matte_light
	}
	{
		map textures/elusive2/tint_1.tga
///		tcmod scale .5 .5
		alphaGen const 0.05
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/elusive2/lightsource_corr_purple
{
    surfaceParm nonSolid
    surfaceParm noMarks
    surfaceParm noLightmap
    surfaceParm alphaShadow
    qer_trans 0.3
    surfaceParm trans
    q3map_surfaceLight 1000
    q3map_lightSubdivide 1000
    {
        map "textures/elusive2/lightsource_corr_purple.jpg"
        blendFunc add
        RGBGen const ( 0 0 0 )
    }
}

textures/elusive2/non_icy_tile
{
	qer_editorimage textures/elusive2/non_icy_tile.tga
	//q3map_lightrgb 0.2 0.6 1.0
	//q3map_backsplash 0 0
 	//q3map_surfacelight 5000
	surfaceparm nodamage
	{
		map textures/elusive2/non_icy_tile.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/elusive2/glass
{
	qer_editorimage "textures/elusive2/glass_white.jpg"
	qer_trans 0.5
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceparm slick
	surfaceparm noDamage
	surfaceparm trans
	{
		map $whiteimage
		blendfunc blend
		alphaGen const 0.1
	}
	{
		map "textures/elusive2/glass_tint.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}






