textures/icyfuture/tint_banana_no
{
	polygonOffset
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 2000
	q3map_lightSubdivide 16

	{
		map textures/icyfuture/tint_banana_no.jpg
	}
	{
		map textures/icyfuture/tint06.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/icyfuture/tint_orange_no
{
	polygonOffset
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	q3map_surfacelight 2000
	q3map_lightSubdivide 16

	{
		map textures/icyfuture/tint_orange_no.jpg
	}
	{
		map textures/icyfuture/orange_tint.tga
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/icyfuture/water_blue1
{
	q3map_lightImage "textures/icyfuture/water_blue_lightm.jpg"
	qer_editorImage "textures/icyfuture/water_blue1.jpg"
	qer_trans 0.1
	q3map_globalTexture
	q3map_surfaceLight 50
	q3map_lightSubdivide 512
	q3map_backSplash 30 50
	surfaceParm trans
	surfaceParm nonSolid
	surfaceParm water
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/icyfuture/water_detail2brighter.jpg"
		blendFunc GL_DST_COLOR GL_one
		RGBGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/icyfuture/water_detail1.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/icyfuture/sky
{
    qer_editorimage "textures/icyfuture/sky19_up.jpg"
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm nodlight
    surfaceparm sky
    nopicmip
    nomipmaps
    q3map_globaltexture
    q3map_lightmapFilterRadius 0 8
    q3map_sunExt 0.909 0.714 0.373 280 50 60 3 12
    q3map_skyLight 165 5
    q3map_lightRGB 0.94 0.91 0.85
    skyparms "textures/icyfuture/sky19" - -
}

textures/icyfuture/1
{
	qer_editorimage "textures/icyfuture/1.tga"
	surfaceparm nodamage
	{
		map "textures/icyfuture/1.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/icyfuture/9
{
	qer_editorimage "textures/icyfuture/9.jpg"
	surfaceparm nodamage
	{
		map "textures/icyfuture/9.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/icyfuture/watertint
{
    qer_editorimage textures/icyfuture/watertint.tga
    polygonOffset
    surfaceparm nodlight
    surfaceparm nodamage
	surfaceparm slick
    q3map_lightsubdivide 128
    q3map_surfaceLight 500
    {
        map textures/icyfuture/watertint.tga
    }
    {
        map $lightmap
        blendfunc GL_ONE GL_ONE
        rgbgen identity
    }
}

textures/icyfuture/water_icy
{
    q3map_lightImage textures/icyfuture/grey.tga
    qer_editorImage textures/icyfuture/black.tga
    surfaceparm nodamage
    surfaceparm slick
    q3map_surfaceLight 500
    {
        map $lightmap
    }
    {
        map textures/icyfuture/black.tga
        blendFunc filter
    }
    {
        map textures/icyfuture/watertint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyfuture/20
{
	qer_editorimage "textures/icyfuture/20.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/icyfuture/20.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/icyfuture/stone4
{
	qer_editorimage "textures/icyfuture/stone4.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/icyfuture/stone4.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/icyfuture/glass_blue
{
	qer_editorimage "textures/icyfuture/glass_white.jpg"
	qer_trans 0.5
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceparm slick
	surfaceparm noDamage
	surfaceparm trans
	{
		map $whiteimage
		blendfunc blend
		alphaGen const 0.1
	}
	{
		map "textures/icyfuture/watertint.jpg"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/icyfuture/waterfall
{
 qer_editorimage textures/icyfuture/lavafall_1.tga
 q3map_surfacelight 1500
 q3map_globaltexture
 surfaceparm nolightmap
 surfaceparm nomarks
 surfaceparm nonsolid
 surfaceparm trans
 deformVertexes bulge .4 .2 .6
 {
   map textures/icyfuture/lavafall_1.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
   tcMod scroll 0 -1
 }
     {
            map textures/icyfuture/lavafall_2.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll .05 -.8
     }
     {
            map textures/icyfuture/lavafall_3.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.05 -.65
     }
     {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbgen identity
     }
}

textures/icyfuture/grass
{
	qer_editorimage "textures/icyfuture/grass.jpg"
	surfaceparm nodamage
	{
		map "textures/icyfuture/grass.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/icyfuture/door
{
	qer_editorimage "textures/icyfuture/door.tga"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/icyfuture/door.tga"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/icyfuture/lightsource_corr
{
    surfaceParm nonSolid
    surfaceParm noMarks
    surfaceParm noLightmap
    surfaceParm alphaShadow
    qer_trans 0.3
    surfaceParm trans
    q3map_surfaceLight 500
    q3map_lightSubdivide 1000
    {
        map "textures/icyfuture/lightsource_corr.jpg"
        blendFunc add
        RGBGen const ( 0 0 0 )
    }
}

textures/icyfuture/flame1
{
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm trans
    cull none
    q3map_surfacelight 4000
    {
        animMap 10 "textures/icyfuture/flame1.jpg" "textures/icyfuture/flame2.jpg" "textures/icyfuture/flame3.jpg" "textures/icyfuture/flame4.jpg" "textures/icyfuture/flame5.jpg" "textures/icyfuture/flame6.jpg" "textures/icyfuture/flame7.jpg" "textures/icyfuture/flame8.jpg"
        blendFunc GL_ONE GL_ONE
        rgbGen wave inverseSawtooth 0 1 0 10
    }
    {
        animMap 10 "textures/icyfuture/flame2.jpg" "textures/icyfuture/flame3.jpg" "textures/icyfuture/flame4.jpg" "textures/icyfuture/flame5.jpg" "textures/icyfuture/flame6.jpg" "textures/icyfuture/flame7.jpg" "textures/icyfuture/flame8.jpg" "textures/icyfuture/flame1.jpg"
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0 1 0 10
    }
    {
        map "textures/icyfuture/flameball.jpg"
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin .6 .2 0 .6
    }
}

textures/icyfuture/lightsource_corr_bright
{
    surfaceParm nonSolid
    surfaceParm noMarks
    surfaceParm noLightmap
    surfaceParm alphaShadow
    qer_trans 0.3
    surfaceParm trans
    q3map_surfaceLight 1500
    q3map_lightSubdivide 1000
    {
        map "textures/icyfuture/lightsource_corr_bright.jpg"
        blendFunc add
        RGBGen const ( 0 0 0 )
    }
}

textures/icyfuture/trans
{
    qer_editorImage "textures/icyfuture/trans.tga"
    qer_trans 0.9
    q3map_bounceScale 0.0
    surfaceparm trans
    surfaceparm noDamage
    polygonOffset
    {
        map "textures/icyfuture/trans.tga"
        blendFunc blend
        alphaGen const 1
    }
}













